/*
 * File: TC_Method.hpp
 * Created: 06.06.2006
 * Last Modified: 11.09.2006
 * Author: Adrian Rospondek
 */


#ifndef TC_METHOD_HPP
#define TC_METHOD_HPP



struct TC_ConstraintList;
struct TC_Sequences;


struct TC_Method {
	char executable[100];
	char executable2[100];
	char in_flag[100];
	char in_flag2[100];
	char out_flag[100];
	char aln_mode[100];
	char out_mode[100];
	char seq_type[100];
	char weight[100];
	char matrix[100];
	int gop;
	int gep;
	int minid;
	int maxid;
	char param[1000];
	char param1[1000];
	TC_ConstraintList *PW_CL;
};



TC_Method *TC_method_file2tc_method(const char *method);
char *TC_method_name2method_file(const char *method);
bool AR_is_preset_method(const char *method);

int TC_method_uses_structure(const TC_Method *M);
int TC_method_uses_profile(const TC_Method *M);
int TC_check_seq_type(const TC_Method *M, const char *list, const TC_Sequences *S);



#endif // TC_METHOD_HPP
