/*
 * File: TC_Profile.hpp
 * Created: 06.06.2006
 * Last Modified: 23.08.2006
 * Author: Adrian Rospondek
 */


#ifndef TC_PROFILE_HPP
#define TC_PROFILE_HPP



struct TC_Alignment;
struct TC_Sequences;


struct TC_Profile {
	int max_len;
	int alp_size;
	char *alphabet;
	int **count;
	int **count2;
	int **count3;
};



TC_Profile *TC_declare_profile(const char *alphabet, int len);
TC_Profile *TC_copy_profile(const TC_Profile *P1);
TC_Profile *TC_free_profile(TC_Profile *P);

TC_Alignment *TC_seq2profile(TC_Sequences *S, int i);
TC_Alignment *TC_aln2profile(TC_Alignment *A);



#endif // TC_PROFILE_HPP
