/*
 * File: util_math.cpp
 * Created: 06.06.2006
 * Last Modified: 23.08.2006
 * Author: Adrian Rospondek
 */


#include <math.h>
#include "util_math.hpp"



float TC_get_geometric_distance(float **matrix, int ncoor, int d1, int d2)
{
	float d, t = 0;
	int a;
	
	for (a = 0; a < ncoor; a++) {
		d = (matrix[d1][a] - matrix[d2][a]);
		t += d * d;
	}
	
	return (float)sqrt((double)t);
}
