/*
 * File: AR_node_time.hpp
 * Created: 07.08.2006
 * Last Modified: 23.08.2006
 * Author: Adrian Rospondek
 */


#ifndef AR_NODE_TIME_HPP
#define AR_NODE_TIME_HPP



struct AR_node_time {

	explicit AR_node_time(int nd = 0, const double &t = 0.0): node(nd), time(t)
	{
	}

	bool operator<(const AR_node_time &rhs) const
	{
		return time > rhs.time;
	}

	int node;
	double time;
};



#endif // AR_NODE_TIME_HPP
