/*
 * File: methods.hpp
 * Created: 06.06.2006
 * Last Modified: 23.08.2006
 * Author: Adrian Rospondek
 */


#ifndef METHODS_HPP
#define METHODS_HPP



struct AR_LibJob;
struct TC_Alignment;
struct TC_ConstraintList;



TC_ConstraintList *AR_seq2list(AR_LibJob *job);
TC_ConstraintList *AR_profile2list(AR_LibJob *job, int nprf);

TC_Alignment *AR_fast_pair(const AR_LibJob *job);
TC_ConstraintList *AR_sap_pair(const int seq[2], TC_ConstraintList *CL);
TC_ConstraintList *AR_fugue_pair(const int seq[2], TC_ConstraintList *CL);



#endif // METHODS_HPP
