/*
 * File: util_algo.hpp
 * Created: 06.06.2006
 * Last Modified: 23.08.2006
 * Author: Adrian Rospondek
 */


#ifndef UTIL_ALGO_HPP
#define UTIL_ALGO_HPP



void TC_sort_int(int **V, int F, int left, int right);
void TC_sort_int_inv(int **V, int N_F, int F, int left, int right);
char **TC_sort_string_array(char **V, int n);

void **TC_hsort_list_array(void **L, int len, size_t size, int entry_len, int first_comp_field,
		int n_comp_fields);  

char *TC_invert_list_char(char *array, int len);

void **TC_search_in_list_array(void *key, int *p, int comp_len, void **L, int len);

int TC_return_max_int(int **array, int len_array, int field);
int TC_return_sd_int(int **array, int len, int field, int mean);
double TC_return_mean_int(int **array, int len, int field);
int TC_best_int(int n, ...);



#endif // UTIL_ALGO_HPP
